# $Revision: 1.3 $, $Date: 2005/08/09 20:52:53 $
%define 	fname	SimpleTAL
%define		module	%(echo %{fname} | tr A-Z a-z)

Summary:	Stand alone implementation of the TAL, TALES and METAL specifications
Summary(pl):	Niezalena implementacja specyfikacji TAL, TALES i METAL
Name:		python-simpletal
Version:	3.12
Release:	0.1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://www.owlfish.com/software/simpleTAL/downloads/%{fname}-%{version}.tar.gz
# Source0-md5:	4c34dc80dba22d9f7ea7ff7fd2e2bea1
URL:		http://www.owlfish.com/software/simpleTAL/
BuildRequires:	python
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SimpleTAL is a stand alone Python implementation of the TAL, TALES and
METAL specifications used in Zope to power HTML and XML templates.
SimpleTAL is an independent implementation of TAL; there are no
dependencies on Zope nor is any of the Zope work re-used.

%description -l pl
SimpleTAL to samodzielna implementacja specyfikacji TAL, TALES i METAL
uywanych w Zope do wspomagania szablonw HTML i XML. SimpleTAL to
niezalena implementacja TAL; nie zaley od Zope i nie jest ponownym
uyciem adnej z prac Zope.

%package examples
Summary:	Example files for SimpleTAL
Summary(pl):	Pliki przykadw dla SimpleTAL
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example files for SimpleTAL. 

%description examples -l pl
Pliki przykadw dla SimpleTAL.

%prep
%setup -q -n %{fname}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/ -name \*.py | xargs rm -f

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes.txt README.txt documentation/html
%{py_sitescriptdir}/%{module}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-simpletal.spec,v $
Revision 1.3  2005/08/09 20:52:53  qboosh
- simple Name (tr confused pldnotify)

Revision 1.2  2005/02/22 20:38:42  qboosh
- pl desc

Revision 1.1  2005/02/22 16:56:05  jajcus
- new spec
